Skip to main content

{/* Generator: Widdershins v4.0.1 */}

query_service v1

Scroll down for example requests and responses.

Authentication

  • API Key (apiKey)
    • Parameter Name: Authorization, in: header.

Default

com.coralogixapis.dataprime.v1.DataprimeQueryService.Query

Code samples

POST /api/v1/dataprime/query

method to run dataprime text queries

Body parameter

{
"query": "string",
"metadata": {
"tier": "TIER_UNSPECIFIED",
"syntax": "QUERY_SYNTAX_UNSPECIFIED",
"limit": 0,
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"defaultSource": "string",
"strictFieldsValidation": true,
"nowDate": "2019-08-24T14:15:22Z"
},
"executionProfile": {
"preset": "EXECUTION_PROFILE_PRESET_UNSPECIFIED"
}
}

Parameters

NameInTypeRequiredDescription
bodybodycom.coralogixapis.dataprime.v1.QueryRequesttruedataprime text query request

Example responses

200 Response

Responses

StatusMeaningDescriptionSchema
200OKnonecom.coralogixapis.dataprime.v1.QueryResponse

com.coralogixapis.dataprime.v1.DataprimeQueryService.SubmitBackgroundQuery

Code samples

POST /api/v1/dataprime/background-query

Body parameter

{
"query": "string",
"syntax": "QUERY_SYNTAX_UNSPECIFIED",
"name": "string",
"description": "string",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"nowDate": "2019-08-24T14:15:22Z",
"resultsDestination": {
"temporaryDestination": {},
"persistentDestination": {
"datasets": [
{
"dataspace": "string",
"dataset": "string",
"writeMode": "DATASET_WRITE_MODE_UNSPECIFIED"
}
],
"partitioning": {
"unpartitioned": {},
"dateHourPartitioned": {
"dataprimePath": "string"
}
}
}
},
"defaultSource": "string"
}

Parameters

NameInTypeRequiredDescription
bodybodycom.coralogixapis.dataprime.v1.SubmitBackgroundQueryRequesttruenone

Example responses

200 Response

Responses

com.coralogixapis.dataprime.v1.DataprimeQueryService.GetBackgroundQueryStatus

Code samples

POST /api/v1/dataprime/background-query/status

Body parameter

{
"queryId": "string"
}

Parameters

NameInTypeRequiredDescription
bodybodycom.coralogixapis.dataprime.v1.GetBackgroundQueryStatusRequesttruenone

Example responses

200 Response

Responses

com.coralogixapis.dataprime.v1.DataprimeQueryService.GetBackgroundQueryData

Code samples

POST /api/v1/dataprime/background-query/data

Body parameter

{
"queryId": "string"
}

Parameters

NameInTypeRequiredDescription
bodybodycom.coralogixapis.dataprime.v1.GetBackgroundQueryDataRequesttruenone

Example responses

200 Response

Responses

com.coralogixapis.dataprime.v1.DataprimeQueryService.CancelBackgroundQuery

Code samples

POST /api/v1/dataprime/background-query/cancel

Body parameter

{
"queryId": "string"
}

Parameters

NameInTypeRequiredDescription
bodybodycom.coralogixapis.dataprime.v1.CancelBackgroundQueryRequesttruenone

Example responses

200 Response

Responses

Schemas

com.coralogixapis.dataprime.v1.QueryRequest

{/* backwards compatibility */}
{
"query": "string",
"metadata": {
"tier": "TIER_UNSPECIFIED",
"syntax": "QUERY_SYNTAX_UNSPECIFIED",
"limit": 0,
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"defaultSource": "string",
"strictFieldsValidation": true,
"nowDate": "2019-08-24T14:15:22Z"
},
"executionProfile": {
"preset": "EXECUTION_PROFILE_PRESET_UNSPECIFIED"
}
}

dataprime text query request

Properties

NameTypeRequiredRestrictionsDescription
querystringtruenonequery for which you seek results
metadatacom.coralogixapis.dataprime.v1.Metadatafalsenoneconfiguration of query execution
executionProfilecom.coralogixapis.dataprime.v1.ExecutionProfilefalsenoneconfiguration that controls query execution parameters of the query engine

com.coralogixapis.dataprime.v1.Metadata

{/* backwards compatibility */}
{
"tier": "TIER_UNSPECIFIED",
"syntax": "QUERY_SYNTAX_UNSPECIFIED",
"limit": 0,
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"defaultSource": "string",
"strictFieldsValidation": true,
"nowDate": "2019-08-24T14:15:22Z"
}

configuration of query execution

Properties

NameTypeRequiredRestrictionsDescription
tiercom.coralogixapis.dataprime.v1.Metadata.Tierfalsenonetier on which query runs, default: TIER_FREQUENT_SEARCH
syntaxcom.coralogixapis.dataprime.v1.QuerySyntaxfalsenonesyntax of the query, default: QUERY_SYNTAX_DATAPRIME
limitinteger(int32)falsenonelimit number of results, default: 2000; max for TIER_FREQUENT_SEARCH: 12000; max for TIER_ARCHIVE: 50000
startDatestring(date-time)falsenonebeginning of the time range for the query, default: end - 15 min or current time - 15 min if end is not defined, example 2023-11-05T13:15:30Z
endDatestring(date-time)falsenoneend of the time range for the query, default: start + 15 min or current time if start is not defined, example 2023-11-05T13:15:30Z
defaultSourcestringfalsenonedefault value for source to be used when source is omitted in a query
strictFieldsValidationbooleanfalsenoneprohibit using unknown fields, ones which were not detected in the ingested data, default = false
nowDatestring(date-time)falsenonecontextual now for the query, default: current time, example 2023-11-05T13:15:30Z

com.coralogixapis.dataprime.v1.QuerySyntax

{/* backwards compatibility */}
"QUERY_SYNTAX_UNSPECIFIED"

syntax of the query, default: QUERY_SYNTAX_DATAPRIME

Properties

NameTypeRequiredRestrictionsDescription
anonymousstringfalsenonesyntax of the query, default: QUERY_SYNTAX_DATAPRIME

Enumerated Values

PropertyValue
anonymousQUERY_SYNTAX_UNSPECIFIED
anonymousQUERY_SYNTAX_LUCENE
anonymousQUERY_SYNTAX_DATAPRIME
anonymousQUERY_SYNTAX_LUCENE_UTF8_BASE64
anonymousQUERY_SYNTAX_DATAPRIME_UTF8_BASE64

com.coralogixapis.dataprime.v1.ExecutionProfile

{/* backwards compatibility */}
{
"preset": "EXECUTION_PROFILE_PRESET_UNSPECIFIED"
}

configuration that controls query execution parameters of the query engine

Properties

NameTypeRequiredRestrictionsDescription
presetcom.coralogixapis.dataprime.v1.ExecutionProfile.ExecutionProfilePresetfalsenonenull

com.coralogixapis.dataprime.v1.QueryResponse

{/* backwards compatibility */}
{
"error": {
"message": "string",
"code": {
"rateLimitReached": {},
"resourceExhausted": {}
}
},
"result": {
"results": [
{
"metadata": [
{
"key": "string",
"value": "string"
}
],
"labels": [
{
"key": "string",
"value": "string"
}
],
"userData": "string"
}
]
},
"warning": {
"compileWarning": {
"warningMessage": "string"
},
"timeRangeWarning": {
"warningMessage": "string",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z"
},
"numberOfResultsLimitWarning": {
"numberOfResultsLimit": 0
},
"bytesScannedLimitWarning": {},
"deprecationWarning": {
"warningMessage": "string"
},
"blocksLimitWarning": {},
"aggregationBucketsLimitWarning": {
"aggregationBucketsLimit": 0
},
"archiveWarning": {
"noMetastoreData": {},
"bucketAccessDenied": {},
"bucketReadFailed": {},
"missingData": {}
},
"scrollTimeoutWarning": {},
"fieldCountLimitWarning": {},
"shuffleFileSizeLimitReachedWarning": {},
"filesReadLimitWarning": {},
"sidebarFilterCardinalityLimitWarning": {
"fields": [
"string"
],
"cardinalityLimit": "string"
}
},
"statistics": {
"status": "string",
"storage": {
"objectStore": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"column": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"shuffleSize": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"filesRead": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
},
"bytesRead": "string",
"crossRegionBytesRead": "string"
},
"openSearch": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"scrollTimeout": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"aggBuckets": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
}
}
},
"e2eDurationMs": "string",
"outputRowCount": "string"
},
"queryId": {
"queryId": "string"
}
}

dataprime response for text query, at most one of the fields can be defined in this object

Properties

NameTypeRequiredRestrictionsDescription
errorcom.coralogixapis.dataprime.v1.DataprimeErrorfalsenonewrapper for dataprime error
resultcom.coralogixapis.dataprime.v1.DataprimeResultfalsenonebatch of results
warningcom.coralogixapis.dataprime.v1.DataprimeWarningfalsenonewarning message, at most one of the fields can be defined in this object
statisticscom.coralogixapis.dataprime.v1.QueryStatisticsfalsenonenone
queryIdcom.coralogixapis.dataprime.v1.QueryIdfalsenoneinternal identifier of the query. Can be used to simplify investigation of issues

com.coralogixapis.dataprime.v1.DataprimeWarning

{/* backwards compatibility */}
{
"compileWarning": {
"warningMessage": "string"
},
"timeRangeWarning": {
"warningMessage": "string",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z"
},
"numberOfResultsLimitWarning": {
"numberOfResultsLimit": 0
},
"bytesScannedLimitWarning": {},
"deprecationWarning": {
"warningMessage": "string"
},
"blocksLimitWarning": {},
"aggregationBucketsLimitWarning": {
"aggregationBucketsLimit": 0
},
"archiveWarning": {
"noMetastoreData": {},
"bucketAccessDenied": {},
"bucketReadFailed": {},
"missingData": {}
},
"scrollTimeoutWarning": {},
"fieldCountLimitWarning": {},
"shuffleFileSizeLimitReachedWarning": {},
"filesReadLimitWarning": {},
"sidebarFilterCardinalityLimitWarning": {
"fields": [
"string"
],
"cardinalityLimit": "string"
}
}

warning message, at most one of the fields can be defined in this object

Properties

NameTypeRequiredRestrictionsDescription
compileWarningcom.coralogixapis.dataprime.v1.CompileWarningfalsenonewarning from Dataprime compilation
timeRangeWarningcom.coralogixapis.dataprime.v1.TimeRangeWarningfalsenonewarning from applying time range to query
numberOfResultsLimitWarningcom.coralogixapis.dataprime.v1.NumberOfResultsLimitWarningfalsenonewarning from applying limit on number of results
bytesScannedLimitWarningcom.coralogixapis.dataprime.v1.BytesScannedLimitWarningfalsenonewarning for reaching bytes scanned limit
deprecationWarningcom.coralogixapis.dataprime.v1.DeprecationWarningfalsenonewarning about deprecated elements
blocksLimitWarningcom.coralogixapis.dataprime.v1.BlocksLimitWarningfalsenoneWarning for when query has reached maximum number of parquet blocks
aggregationBucketsLimitWarningcom.coralogixapis.dataprime.v1.AggregationBucketsLimitWarningfalsenonewarning for reaching aggregation buckets limit
archiveWarningcom.coralogixapis.dataprime.v1.ArchiveWarningfalsenonewrapper for archive related warnings, at most one of the fields can be defined in this object
scrollTimeoutWarningcom.coralogixapis.dataprime.v1.ScrollTimeoutWarningfalsenonewarning for when OpenSearch scroll timeout is reached
fieldCountLimitWarningcom.coralogixapis.dataprime.v1.FieldCountLimitWarningfalsenonewarning for when result contain entries where number of fields is truncated
shuffleFileSizeLimitReachedWarningcom.coralogixapis.dataprime.v1.ShuffleFileSizeLimitReachedWarningfalsenonewarning for when shuffle file size limit is reached - e.g. during a join with a large right side
filesReadLimitWarningcom.coralogixapis.dataprime.v1.FilesReadLimitWarningfalsenonewarning for when query has reached maximum number of parquet files
sidebarFilterCardinalityLimitWarningcom.coralogixapis.dataprime.v1.SidebarFilterCardinalityLimitWarningfalsenonewarning for when a field has reached the cardinality limit

com.coralogixapis.dataprime.v1.CompileWarning

{/* backwards compatibility */}
{
"warningMessage": "string"
}

warning from Dataprime compilation

Properties

NameTypeRequiredRestrictionsDescription
warningMessagestringtruenonenone

com.coralogixapis.dataprime.v1.TimeRangeWarning

{/* backwards compatibility */}
{
"warningMessage": "string",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z"
}

warning from applying time range to query

Properties

NameTypeRequiredRestrictionsDescription
warningMessagestringtruenonenone
startDatestring(date-time)falsenoneexample 2023-11-05T13:15:30Z
endDatestring(date-time)falsenoneexample 2023-11-05T13:15:30Z

com.coralogixapis.dataprime.v1.NumberOfResultsLimitWarning

{/* backwards compatibility */}
{
"numberOfResultsLimit": 0
}

warning from applying limit on number of results

Properties

NameTypeRequiredRestrictionsDescription
numberOfResultsLimitinteger(int32)truenonenone

com.coralogixapis.dataprime.v1.BytesScannedLimitWarning

{/* backwards compatibility */}
{}

warning for reaching bytes scanned limit

Properties

None

com.coralogixapis.dataprime.v1.AggregationBucketsLimitWarning

{/* backwards compatibility */}
{
"aggregationBucketsLimit": 0
}

warning for reaching aggregation buckets limit

Properties

NameTypeRequiredRestrictionsDescription
aggregationBucketsLimitinteger(int32)truenonenone

com.coralogixapis.dataprime.v1.DeprecationWarning

{/* backwards compatibility */}
{
"warningMessage": "string"
}

warning about deprecated elements

Properties

NameTypeRequiredRestrictionsDescription
warningMessagestringtruenonenone

com.coralogixapis.dataprime.v1.BlocksLimitWarning

{/* backwards compatibility */}
{}

Warning for when query has reached maximum number of parquet blocks

Properties

None

com.coralogixapis.dataprime.v1.FilesReadLimitWarning

{/* backwards compatibility */}
{}

warning for when query has reached maximum number of parquet files

Properties

None

com.coralogixapis.dataprime.v1.SidebarFilterCardinalityLimitWarning

{/* backwards compatibility */}
{
"fields": [
"string"
],
"cardinalityLimit": "string"
}

warning for when a field has reached the cardinality limit

Properties

NameTypeRequiredRestrictionsDescription
fields[string]truenonenone
cardinalityLimitstring(int64)truenonenone

com.coralogixapis.dataprime.v1.DataprimeResult

{/* backwards compatibility */}
{
"results": [
{
"metadata": [
{
"key": "string",
"value": "string"
}
],
"labels": [
{
"key": "string",
"value": "string"
}
],
"userData": "string"
}
]
}

batch of results

Properties

NameTypeRequiredRestrictionsDescription
results[com.coralogixapis.dataprime.v1.DataprimeResults]truenone[wrapper for dataprime results]

com.coralogixapis.dataprime.v1.DataprimeResults

{/* backwards compatibility */}
{
"metadata": [
{
"key": "string",
"value": "string"
}
],
"labels": [
{
"key": "string",
"value": "string"
}
],
"userData": "string"
}

wrapper for dataprime results

Properties

NameTypeRequiredRestrictionsDescription
metadata[com.coralogixapis.dataprime.v1.DataprimeResults.KeyValue]truenonenone
labels[com.coralogixapis.dataprime.v1.DataprimeResults.KeyValue]truenonenone
userDatastringtruenonenone

com.coralogixapis.dataprime.v1.DataprimeError

{/* backwards compatibility */}
{
"message": "string",
"code": {
"rateLimitReached": {},
"resourceExhausted": {}
}
}

wrapper for dataprime error

Properties

NameTypeRequiredRestrictionsDescription
messagestringtruenonenone
codecom.coralogixapis.dataprime.v1.DataprimeError.Codefalsenoneat most one of the fields can be defined in this object

com.coralogixapis.dataprime.v1.QueryId

{/* backwards compatibility */}
{
"queryId": "string"
}

internal identifier of the query. Can be used to simplify investigation of issues

Properties

NameTypeRequiredRestrictionsDescription
queryIdstringtruenonenone

com.coralogixapis.dataprime.v1.ArchiveWarning

{/* backwards compatibility */}
{
"noMetastoreData": {},
"bucketAccessDenied": {},
"bucketReadFailed": {},
"missingData": {}
}

wrapper for archive related warnings, at most one of the fields can be defined in this object

Properties

com.coralogixapis.dataprime.v1.ScrollTimeoutWarning

{/* backwards compatibility */}
{}

warning for when OpenSearch scroll timeout is reached

Properties

None

com.coralogixapis.dataprime.v1.FieldCountLimitWarning

{/* backwards compatibility */}
{}

warning for when result contain entries where number of fields is truncated

Properties

None

com.coralogixapis.dataprime.v1.ShuffleFileSizeLimitReachedWarning

{/* backwards compatibility */}
{}

warning for when shuffle file size limit is reached - e.g. during a join with a large right side

Properties

None

com.coralogixapis.dataprime.v1.ResponseMetadata

{/* backwards compatibility */}
{
"statistics": {
"bytesScanned": "string"
}
}

this is only used in BG queries but will be also used as part of QueryResponse

Properties

NameTypeRequiredRestrictionsDescription
statisticscom.coralogixapis.dataprime.v1.ResponseMetadata.Statisticsfalsenonenone

com.coralogixapis.dataprime.v1.QueryStatistics

{/* backwards compatibility */}
{
"status": "string",
"storage": {
"objectStore": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"column": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"shuffleSize": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"filesRead": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
},
"bytesRead": "string",
"crossRegionBytesRead": "string"
},
"openSearch": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"scrollTimeout": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"aggBuckets": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
}
}
},
"e2eDurationMs": "string",
"outputRowCount": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
statusstringtruenonenone
storagecom.coralogixapis.dataprime.v1.StorageStatisticsfalsenoneat most one of the fields can be defined in this object
e2eDurationMsstring(int64)truenonenone
outputRowCountstring(int64)falsenonenone

com.coralogixapis.dataprime.v1.StorageStatistics

{/* backwards compatibility */}
{
"objectStore": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"column": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"shuffleSize": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"filesRead": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
},
"bytesRead": "string",
"crossRegionBytesRead": "string"
},
"openSearch": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"scrollTimeout": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"aggBuckets": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
}
}
}

at most one of the fields can be defined in this object

Properties

NameTypeRequiredRestrictionsDescription
objectStorecom.coralogixapis.dataprime.v1.ObjectStoreStatisticsfalsenonenone
openSearchcom.coralogixapis.dataprime.v1.OpenSearchStatisticsfalsenonenone

com.coralogixapis.dataprime.v1.ObjectStoreStatistics

{/* backwards compatibility */}
{
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"column": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"shuffleSize": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"filesRead": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
},
"bytesRead": "string",
"crossRegionBytesRead": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
limitscom.coralogixapis.dataprime.v1.ObjectStoreLimitstruenonenone
bytesReadstring(int64)truenonebytes that DQE reads from customer-exposed storage (customers bucket or high-tier storage, not including e.g. cache or staging bucket)
crossRegionBytesReadstring(int64)truenonebytes read from a different region than the DQE cluster's region

com.coralogixapis.dataprime.v1.ObjectStoreLimits

{/* backwards compatibility */}
{
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"column": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"shuffleSize": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"filesRead": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
}

Properties

NameTypeRequiredRestrictionsDescription
scancom.coralogixapis.dataprime.v1.LimitStatustruenonenone
columncom.coralogixapis.dataprime.v1.LimitStatustruenonenone
shuffleSizecom.coralogixapis.dataprime.v1.LimitStatustruenonenone
filesReadcom.coralogixapis.dataprime.v1.LimitStatustruenonenone

com.coralogixapis.dataprime.v1.OpenSearchStatistics

{/* backwards compatibility */}
{
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"scrollTimeout": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"aggBuckets": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
}
}

Properties

NameTypeRequiredRestrictionsDescription
limitscom.coralogixapis.dataprime.v1.OpenSearchLimitstruenonenone

com.coralogixapis.dataprime.v1.OpenSearchLimits

{/* backwards compatibility */}
{
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"scrollTimeout": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"aggBuckets": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
}

Properties

NameTypeRequiredRestrictionsDescription
scancom.coralogixapis.dataprime.v1.LimitStatustruenonenone
scrollTimeoutcom.coralogixapis.dataprime.v1.LimitStatustruenonenone
aggBucketscom.coralogixapis.dataprime.v1.LimitStatustruenonenone

com.coralogixapis.dataprime.v1.LimitStatus

{/* backwards compatibility */}
{
"reached": true,
"limit": "string",
"measuredValue": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
reachedbooleantruenonenone
limitstring(int64)falsenonethreshold from execution config
measuredValuestring(int64)falsenonemeasured value from DQE metrics

com.coralogixapis.dataprime.v1.SubmitBackgroundQueryRequest

{/* backwards compatibility */}
{
"query": "string",
"syntax": "QUERY_SYNTAX_UNSPECIFIED",
"name": "string",
"description": "string",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"nowDate": "2019-08-24T14:15:22Z",
"resultsDestination": {
"temporaryDestination": {},
"persistentDestination": {
"datasets": [
{
"dataspace": "string",
"dataset": "string",
"writeMode": "DATASET_WRITE_MODE_UNSPECIFIED"
}
],
"partitioning": {
"unpartitioned": {},
"dateHourPartitioned": {
"dataprimePath": "string"
}
}
}
},
"defaultSource": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
querystringtruenonenone
syntaxcom.coralogixapis.dataprime.v1.QuerySyntaxtruenonesyntax of the query, default: QUERY_SYNTAX_DATAPRIME
namestringfalsenoneMust start with a letter, and must consist only of letters, numbers, underscores, or dots, up to maximum length of 255 characters. Dots cannot appear consecutively, nor at the end.
Regex pattern: ^[a-zA-Z][a-zA-Z0-9_.]{0,254}$.
Defaults to auto-generated name.
descriptionstringfalsenoneMust be under 2048 characters. Defaults to empty string.
startDatestring(date-time)falsenoneBeginning of the time-range for the query., example 2023-11-05T13:15:30Z
endDatestring(date-time)falsenoneEnd of the time-range for the query., example 2023-11-05T13:15:30Z
nowDatestring(date-time)falsenoneContextual now for the query, will be used in place of now() invocation. Defaults to current time., example 2023-11-05T13:15:30Z
resultsDestinationcom.coralogixapis.dataprime.v1.ResultsDestinationfalsenoneat most one of the fields can be defined in this object
defaultSourcestringfalsenoneFQN of the default source when omitted in the query. Defaults to "default/logs".

com.coralogixapis.dataprime.v1.ResultsDestination

{/* backwards compatibility */}
{
"temporaryDestination": {},
"persistentDestination": {
"datasets": [
{
"dataspace": "string",
"dataset": "string",
"writeMode": "DATASET_WRITE_MODE_UNSPECIFIED"
}
],
"partitioning": {
"unpartitioned": {},
"dateHourPartitioned": {
"dataprimePath": "string"
}
}
}
}

at most one of the fields can be defined in this object

Properties

NameTypeRequiredRestrictionsDescription
temporaryDestinationcom.coralogixapis.dataprime.v1.ResultsDestination.TemporaryDestinationfalsenoneResults stored in engine-owned system/engine.resultsets.bg_queries.{unique_id} dataset for 30 days.
persistentDestinationcom.coralogixapis.dataprime.v1.ResultsDestination.PersistentDestinationfalsenoneResults written to an user-defined dataset in caller's team

com.coralogixapis.dataprime.v1.DatasetDestination

{/* backwards compatibility */}
{
"dataspace": "string",
"dataset": "string",
"writeMode": "DATASET_WRITE_MODE_UNSPECIFIED"
}

Properties

NameTypeRequiredRestrictionsDescription
dataspacestringtruenoneSpecified dataset must exist - this API will not create a new datasets, and must be under default dataspace.
datasetstringtruenonenone
writeModecom.coralogixapis.dataprime.v1.DatasetDestination.DatasetWriteModetruenonenull

com.coralogixapis.dataprime.v1.Partitioning

{/* backwards compatibility */}
{
"unpartitioned": {},
"dateHourPartitioned": {
"dataprimePath": "string"
}
}

at most one of the fields can be defined in this object

Properties

NameTypeRequiredRestrictionsDescription
unpartitionedcom.coralogixapis.dataprime.v1.Partitioning.Unpartitionedfalsenonenone
dateHourPartitionedcom.coralogixapis.dataprime.v1.Partitioning.DateHourPartitionedfalsenonePartition results on values of timestamp type with date/hour granularity.

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusRequest

{/* backwards compatibility */}
{
"queryId": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
queryIdstringtruenonenone

com.coralogixapis.dataprime.v1.GetBackgroundQueryDataRequest

{/* backwards compatibility */}
{
"queryId": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
queryIdstringtruenonenone

com.coralogixapis.dataprime.v1.CancelBackgroundQueryRequest

{/* backwards compatibility */}
{
"queryId": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
queryIdstringtruenonenone

com.coralogixapis.dataprime.v1.SubmitBackgroundQueryResponse

{/* backwards compatibility */}
{
"warnings": [
{
"compileWarning": {
"warningMessage": "string"
},
"timeRangeWarning": {
"warningMessage": "string",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z"
},
"numberOfResultsLimitWarning": {
"numberOfResultsLimit": 0
},
"bytesScannedLimitWarning": {},
"deprecationWarning": {
"warningMessage": "string"
},
"blocksLimitWarning": {},
"aggregationBucketsLimitWarning": {
"aggregationBucketsLimit": 0
},
"archiveWarning": {
"noMetastoreData": {},
"bucketAccessDenied": {},
"bucketReadFailed": {},
"missingData": {}
},
"scrollTimeoutWarning": {},
"fieldCountLimitWarning": {},
"shuffleFileSizeLimitReachedWarning": {},
"filesReadLimitWarning": {},
"sidebarFilterCardinalityLimitWarning": {
"fields": [
"string"
],
"cardinalityLimit": "string"
}
}
],
"queryId": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
warnings[com.coralogixapis.dataprime.v1.DataprimeWarning]truenoneall warnings that can apprear during query submission
queryIdstringtruenonenone

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse

{/* backwards compatibility */}
{
"running": {
"runningSince": "2019-08-24T14:15:22Z"
},
"terminated": {
"success": {},
"error": {
"failed": {
"reason": "string"
},
"timedOut": {}
},
"cancelled": {},
"statistics": {
"status": "string",
"storage": {
"objectStore": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"column": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"shuffleSize": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"filesRead": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
},
"bytesRead": "string",
"crossRegionBytesRead": "string"
},
"openSearch": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"scrollTimeout": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"aggBuckets": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
}
}
},
"e2eDurationMs": "string",
"outputRowCount": "string"
},
"runningSince": "2019-08-24T14:15:22Z",
"terminatedAt": "2019-08-24T14:15:22Z"
},
"metadata": [
{
"statistics": {
"bytesScanned": "string"
}
}
],
"warnings": [
{
"compileWarning": {
"warningMessage": "string"
},
"timeRangeWarning": {
"warningMessage": "string",
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z"
},
"numberOfResultsLimitWarning": {
"numberOfResultsLimit": 0
},
"bytesScannedLimitWarning": {},
"deprecationWarning": {
"warningMessage": "string"
},
"blocksLimitWarning": {},
"aggregationBucketsLimitWarning": {
"aggregationBucketsLimit": 0
},
"archiveWarning": {
"noMetastoreData": {},
"bucketAccessDenied": {},
"bucketReadFailed": {},
"missingData": {}
},
"scrollTimeoutWarning": {},
"fieldCountLimitWarning": {},
"shuffleFileSizeLimitReachedWarning": {},
"filesReadLimitWarning": {},
"sidebarFilterCardinalityLimitWarning": {
"fields": [
"string"
],
"cardinalityLimit": "string"
}
}
],
"waitingForExecution": {},
"submittedAt": "2019-08-24T14:15:22Z"
}

at most one of the following fields can be defined in this object: running,terminated,waiting_for_execution

Properties

NameTypeRequiredRestrictionsDescription
runningcom.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Runningfalsenonenone
terminatedcom.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminatedfalsenoneat most one of the following fields can be defined in this object: success,error,cancelled
metadata[com.coralogixapis.dataprime.v1.ResponseMetadata]truenonedoes not contain duplicate messages
warnings[com.coralogixapis.dataprime.v1.DataprimeWarning]truenoneincludes all warnings (e.g.: warnings that can apprear during query submission + runtime warnings)
waitingForExecutioncom.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.WaitingForExecutionfalsenonenone
submittedAtstring(date-time)truenoneexample 2023-11-05T13:15:30Z

com.coralogixapis.dataprime.v1.GetBackgroundQueryDataResponse

{/* backwards compatibility */}
{
"response": {
"results": {
"results": [
{
"metadata": [
{
"key": "string",
"value": "string"
}
],
"labels": [
{
"key": "string",
"value": "string"
}
],
"userData": "string"
}
]
}
}
}

using extensible structure for future-proofing

Properties

NameTypeRequiredRestrictionsDescription
responsecom.coralogixapis.dataprime.v1.GetDataResponsefalsenonenone

com.coralogixapis.dataprime.v1.GetDataResponse

{/* backwards compatibility */}
{
"results": {
"results": [
{
"metadata": [
{
"key": "string",
"value": "string"
}
],
"labels": [
{
"key": "string",
"value": "string"
}
],
"userData": "string"
}
]
}
}

Properties

NameTypeRequiredRestrictionsDescription
resultscom.coralogixapis.dataprime.v1.DataprimeResulttruenonebatch of results

com.coralogixapis.dataprime.v1.CancelBackgroundQueryResponse

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.Metadata.Tier

{/* backwards compatibility */}
"TIER_UNSPECIFIED"

tier on which query runs, default: TIER_FREQUENT_SEARCH

Properties

NameTypeRequiredRestrictionsDescription
anonymousstringfalsenonetier on which query runs, default: TIER_FREQUENT_SEARCH

Enumerated Values

PropertyValue
anonymousTIER_UNSPECIFIED
anonymousTIER_ARCHIVE
anonymousTIER_FREQUENT_SEARCH

com.coralogixapis.dataprime.v1.ExecutionProfile.ExecutionProfilePreset

{/* backwards compatibility */}
"EXECUTION_PROFILE_PRESET_UNSPECIFIED"

null

Properties

NameTypeRequiredRestrictionsDescription
anonymousstringfalsenonenull

Enumerated Values

PropertyValue
anonymousEXECUTION_PROFILE_PRESET_UNSPECIFIED
anonymousEXECUTION_PROFILE_PRESET_PERFORMANCE
anonymousEXECUTION_PROFILE_PRESET_ACCURACY

com.coralogixapis.dataprime.v1.DataprimeResults.KeyValue

{/* backwards compatibility */}
{
"key": "string",
"value": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
keystringtruenonenone
valuestringtruenonenone

com.coralogixapis.dataprime.v1.DataprimeError.RateLimitReached

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.DataprimeError.ResourceExhausted

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.DataprimeError.Code

{/* backwards compatibility */}
{
"rateLimitReached": {},
"resourceExhausted": {}
}

at most one of the fields can be defined in this object

Properties

NameTypeRequiredRestrictionsDescription
rateLimitReachedcom.coralogixapis.dataprime.v1.DataprimeError.RateLimitReachedfalsenonenone
resourceExhaustedcom.coralogixapis.dataprime.v1.DataprimeError.ResourceExhaustedfalsenonenone

com.coralogixapis.dataprime.v1.ArchiveWarning.NoMetastoreData

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.ArchiveWarning.BucketAccessDenied

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.ArchiveWarning.BucketReadFailed

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.ArchiveWarning.MissingData

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.ResponseMetadata.Statistics

{/* backwards compatibility */}
{
"bytesScanned": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
bytesScannedstring(int64)truenonenone

com.coralogixapis.dataprime.v1.ResultsDestination.TemporaryDestination

{/* backwards compatibility */}
{}

Results stored in engine-owned system/engine.resultsets.bg_queries.{unique_id} dataset for 30 days.

Properties

None

com.coralogixapis.dataprime.v1.ResultsDestination.PersistentDestination

{/* backwards compatibility */}
{
"datasets": [
{
"dataspace": "string",
"dataset": "string",
"writeMode": "DATASET_WRITE_MODE_UNSPECIFIED"
}
],
"partitioning": {
"unpartitioned": {},
"dateHourPartitioned": {
"dataprimePath": "string"
}
}
}

Results written to an user-defined dataset in caller's team

Properties

NameTypeRequiredRestrictionsDescription
datasets[com.coralogixapis.dataprime.v1.DatasetDestination]truenonenone
partitioningcom.coralogixapis.dataprime.v1.Partitioningfalsenoneat most one of the fields can be defined in this object

com.coralogixapis.dataprime.v1.DatasetDestination.DatasetWriteMode

{/* backwards compatibility */}
"DATASET_WRITE_MODE_UNSPECIFIED"

null

Properties

NameTypeRequiredRestrictionsDescription
anonymousstringfalsenonenull

Enumerated Values

PropertyValue
anonymousDATASET_WRITE_MODE_UNSPECIFIED
anonymousDATASET_WRITE_MODE_APPEND
anonymousDATASET_WRITE_MODE_OVERWRITE

com.coralogixapis.dataprime.v1.Partitioning.DateHourPartitioned

{/* backwards compatibility */}
{
"dataprimePath": "string"
}

Partition results on values of timestamp type with date/hour granularity.

Properties

NameTypeRequiredRestrictionsDescription
dataprimePathstringtruenoneDataPrime keypath of a timestamp to partition on, e.g. $m.timestamp. The keypath must exist in the query's results, and be of timestamp type.

com.coralogixapis.dataprime.v1.Partitioning.Unpartitioned

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.WaitingForExecution

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Running

{/* backwards compatibility */}
{
"runningSince": "2019-08-24T14:15:22Z"
}

Properties

NameTypeRequiredRestrictionsDescription
runningSincestring(date-time)truenoneexample 2023-11-05T13:15:30Z

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated

{/* backwards compatibility */}
{
"success": {},
"error": {
"failed": {
"reason": "string"
},
"timedOut": {}
},
"cancelled": {},
"statistics": {
"status": "string",
"storage": {
"objectStore": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"column": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"shuffleSize": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"filesRead": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
},
"bytesRead": "string",
"crossRegionBytesRead": "string"
},
"openSearch": {
"limits": {
"scan": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"scrollTimeout": {
"reached": true,
"limit": "string",
"measuredValue": "string"
},
"aggBuckets": {
"reached": true,
"limit": "string",
"measuredValue": "string"
}
}
}
},
"e2eDurationMs": "string",
"outputRowCount": "string"
},
"runningSince": "2019-08-24T14:15:22Z",
"terminatedAt": "2019-08-24T14:15:22Z"
}

at most one of the following fields can be defined in this object: success,error,cancelled

Properties

NameTypeRequiredRestrictionsDescription
successcom.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated.Successfalsenonenone
errorcom.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated.Errorfalsenoneat most one of the fields can be defined in this object
cancelledcom.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated.Cancelledfalsenonenone
statisticscom.coralogixapis.dataprime.v1.QueryStatisticstruenonenone
runningSincestring(date-time)truenoneexample 2023-11-05T13:15:30Z
terminatedAtstring(date-time)truenoneexample 2023-11-05T13:15:30Z

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated.Success

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated.Cancelled

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated.Error

{/* backwards compatibility */}
{
"failed": {
"reason": "string"
},
"timedOut": {}
}

at most one of the fields can be defined in this object

Properties

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated.Error.TimedOut

{/* backwards compatibility */}
{}

Properties

None

com.coralogixapis.dataprime.v1.GetBackgroundQueryStatusResponse.Terminated.Error.Failed

{/* backwards compatibility */}
{
"reason": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
reasonstringtruenonenone
Last updated on